﻿namespace Backend.Api.Data
{
    public class VehicleCertificate
    {
        public VehicleCertificate(string plateNumber)
        {
            PlateNumber = plateNumber;
        }

        public VehicleCertificate(string plateNumber, string carModel)
        {
            PlateNumber = plateNumber;
            CarModel = carModel;
        }

        public VehicleCertificate(string plateNumber, string carModel, string color) : this(plateNumber, carModel)
        {
            PlateNumber = plateNumber;
            CarModel = carModel;
            Color = color;
        }

        public string PlateNumber { get; set; }
        public string CarModel { get; set; } = "Undefine model";
        public string Color { get; set; } = "Undefined color";
    }
}
